CurveLayout Struct Reference

Structure containing curve layout parameters. More...

`#include <Graph.h>`

## Public Attributes

QColor | aCol
| curve area color More...
int | aStyle
| area filling style More...
int | connectType
| symbol connection type More...
QColor | fillCol
| symbol fill color More...
double | filledArea
| flag: toggles area filling under curve; if > 0 it containts the alphaF value of the brush color More...
QColor | lCol
| line color More...
int | lStyle
| line style More...
float | lWidth
| line width More...
float | penWidth
| symbol outline width More...
int | sSize
| symbol size More...
int | sType
| symbol type (shape) More...
QColor | symCol
| symbol outline color More...

## Detailed Description

Structure containing curve layout parameters.

## Member Data Documentation

QColor CurveLayout::aCol

curve area color

Referenced by CurvesDialog::addCurveFromTable(), Graph::initCurveLayout(), ApplicationWindow::openGraph(), and Graph::updateCurveLayout().

int CurveLayout::aStyle

area filling style

Referenced by CurvesDialog::addCurveFromTable(), Graph::initCurveLayout(), ApplicationWindow::openGraph(), and Graph::updateCurveLayout().

int CurveLayout::connectType

symbol connection type

Referenced by CurvesDialog::addCurveFromTable(), Graph::initCurveLayout(), ApplicationWindow::openGraph(), and Graph::updateCurveLayout().

QColor CurveLayout::fillCol

symbol fill color

Referenced by CurvesDialog::addCurveFromTable(), Graph::initCurveLayout(), ApplicationWindow::openGraph(), and Graph::updateCurveLayout().

double CurveLayout::filledArea

flag: toggles area filling under curve; if > 0 it containts the alphaF value of the brush color

Referenced by CurvesDialog::addCurveFromTable(), Graph::initCurveLayout(), ApplicationWindow::openGraph(), and Graph::updateCurveLayout().

QColor CurveLayout::lCol

line color

Referenced by CurvesDialog::addCurveFromTable(), Graph::initCurveLayout(), ApplicationWindow::openGraph(), and Graph::updateCurveLayout().

int CurveLayout::lStyle

line style

Referenced by CurvesDialog::addCurveFromTable(), Graph::initCurveLayout(), ApplicationWindow::openGraph(), and Graph::updateCurveLayout().

float CurveLayout::lWidth

line width

Referenced by CurvesDialog::addCurveFromTable(), Graph::addCurves(), Graph::initCurveLayout(), ApplicationWindow::openGraph(), PlotWizard::plot2D(), and Graph::updateCurveLayout().

float CurveLayout::penWidth

symbol outline width

Referenced by CurvesDialog::addCurveFromTable(), Graph::initCurveLayout(), ApplicationWindow::openGraph(), and Graph::updateCurveLayout().

int CurveLayout::sSize

symbol size

Referenced by CurvesDialog::addCurveFromTable(), Graph::addCurves(), Graph::initCurveLayout(), ApplicationWindow::openGraph(), PlotWizard::plot2D(), and Graph::updateCurveLayout().

int CurveLayout::sType

symbol type (shape)

Referenced by CurvesDialog::addCurveFromTable(), Graph::initCurveLayout(), ApplicationWindow::openGraph(), and Graph::updateCurveLayout().

QColor CurveLayout::symCol

symbol outline color

Referenced by CurvesDialog::addCurveFromTable(), Graph::initCurveLayout(), ApplicationWindow::openGraph(), and Graph::updateCurveLayout().

The documentation for this struct was generated from the following file:

- qtiplot/src/plot2D/Graph.h